/**<pre>
 * Title: Easy GPS
 * Copyright: Copyright (c) 2002
 * Company:   University of Oregon Computer Science Dept.
 *
 * @author Jason Prideaux, adapted from Richard Caudle
 * @version 1.0
 * </pre>
 */

import chat.*;


import java.awt.*;
import java.awt.event.*;
import java.util.GregorianCalendar;
import java.util.TooManyListenersException;
import java.io.IOException;
import javax.comm.*;


/* ====================================================================== */
/** This class is for running the GpsMonitor iPAQ Application.
 *
 */
public class SimChat{





  	/**
  	 * Constructor that creates an instance of GpsMonitor. This is achieved
  	 * by creating a NmeaSerialGps object to deal with input from the GPS
  	 * receiver, and creating a GUI (GpsMonitorUI) that will display the
  	 * results.
  	 *
  	 * @param user The object/gps device we are monitoring
  	 * @see locationUtils.GpsMonitorUI
  	 * @see NmeaSerialGps
  	 */
  	public SimChat(int port){

		new ChatUI(port);


  	} //Constructor







  	/**
  	 * The main method that creates an instance of GpsMontior according to a command-line
  	 * argument.  The argument specifies the name of the object that is being tracked.
  	 */
  	public static void main (String argv[]){


		int port = Integer.parseInt( CommandLine.getArg(argv,"s","6000") );



 		SimChat sc = new SimChat(port);
  	}






} //class: GpsMonitor