/**<pre>
 * Title: iSIM
 * Copyright: Copyright (c) 2002
 * Company:   University of Oregon Computer Science Dept.
 *
 * @author Jason Prideaux
 * @version 1.0
 * </pre>
 */


/* ====================================================================== */
/** This defines a few methods needed in creating a proxy for an iPAQ
 *  application.
 *
 */
public interface iPAQProxy{



	/* ====================================================================== */
  	/** This method will open a connection to receive data.  This method is used
  	 *  for openning a connection to get real data or simulated data.  However,
  	 *  there may be more than 2 choices for the proxy, necessitating the creation
  	 *  of multiple methods.
  	 *
  	 *  @param  isim   True if connecting to simulator.
  	 *
  	 */
	public void connect(boolean isim);



	/* ====================================================================== */
  	/** This method is used to close a connection, thus the iPAQ application
  	 *  will no longer receive any data through this proxy.
  	 *
  	 */
  	public void closeConnection();



	/* ====================================================================== */
  	/** This method is used by the owning application of this proxy to send
  	 *  data out to the real world or simulator.
  	 *
  	 *  @param  data   Data to send either to simulator or some real source.
  	 *
  	 */
	public void sendData(Object data);


} //class: iPAQProxy