/**<pre>
 * Title: iSIM
 * Copyright: Copyright (c) 2002
 * Company:   University of Oregon Computer Science Dept.
 *
 * @author Jason Prideaux
 * @version 1.0
 * </pre>
 */

package map;

import util.*;

import java.util.*;

/* ====================================================================== */
/** This class
 *
 */
public class Room implements java.io.Serializable{


	/** The list of openings in this wall object. */
  	private Vector walls = new Vector();

  	/** The list of openings in this wall object. */
  	private Vector furnishings = new Vector();

  	/** The height of the room. */
  	private double temperature;

  	/** The height of the room. */
  	private double oxygen_level;

  	/** The height of the room. */
  	private double visibility;

  	/** The sound of the room. */
  	private double sound;

  	private String name;


    /* ===================================================================== */
    /** This constructor initializes the
     *
     *  @param  t   The temp.
     *  @param  o   The 02 level.
     *  @param  v   The visibility.
     *  @param  s   The sound level.
     *
     */
  	public Room(double t, double o, double v, double s){

		temperature = t;
		oxygen_level = o;
		visibility = v;
		sound = s;
		name = "room";

	} //Constructor


    /* ===================================================================== */
    /** This method returns the
     *
     *  @return
     *
     */
	public String getName(){

		return name;

	} //method:

    /* ===================================================================== */
    /** This method returns the
     *
     *  @return
     *
     */
	public void setName(String n){

		name = n;

	} //method:

    /* ===================================================================== */
    /** This method returns the
     *
     *  @return
     *
     */
	public Vector getWalls(){

		return walls;

	} //method:


    /* ===================================================================== */
    /** This method returns the
     *
     *  @return
     *
     */
	public Vector getFurnishings(){

		return furnishings;

	} //method:



    /* ===================================================================== */
    /** This method sets the
     *
     *  @param
     *
     */
	public void addWall(Wall w){

		walls.addElement(w);

	} //method:


    /* ===================================================================== */
    /** This method sets the
     *
     *  @param
     *
     */
	public void addFurnishing(Furnishing f){

		furnishings.addElement(f);

	} //method:


    /* ===================================================================== */
    /** This method returns the
     *
     *  @return
     *
     */
	public double getTemperature(){

		return temperature;

	} //method:


    /* ===================================================================== */
    /** This method returns the
     *
     *  @return
     *
     */
	public double getOxygen(){

		return oxygen_level;

	} //method:


    /* ===================================================================== */
    /** This method returns the
     *
     *  @return
     *
     */
	public double getVisibility(){

		return visibility;

	} //method:

    /* ===================================================================== */
    /** This method returns the
     *
     *  @return
     *
     */
	public double getSound(){

		return sound;

	} //method:


    /* ===================================================================== */
    /** This method sets the
     *
     *  @param
     *
     */
	public void setSound(double t){

		sound = t;

	} //method:


    /* ===================================================================== */
    /** This method sets the
     *
     *  @param
     *
     */
	public void setTemperature(double t){

		temperature = t;

	} //method:


    /* ===================================================================== */
    /** This method sets the
     *
     *  @param
     *
     */
	public void setOxygen(double o){

		oxygen_level = o;

	} //method:


    /* ===================================================================== */
    /** This method sets the
     *
     *  @param
     *
     */
	public void setVisibility(double v){

		visibility = v;

	} //method:

} //class: Room

